unit Unitgen;
interface
uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, StdCtrls, Menus, MPlayer;

const
     CR=19;


procedure promaxppal;
procedure promax;
procedure promaxfrontpanel;

procedure fg110ppal;
procedure fg110;
procedure fg110frontpanel;
procedure fg110tema1;
procedure fg110tema2;
procedure fg110tema3;
procedure fg110tema4;
procedure fg110tema5;
procedure fg110cuestiones;

procedure fluke45ppal;
procedure fluke45;
procedure fluke45frontpanel;
procedure fluke45cuestiones;

procedure fluke73ppal;
procedure fluke73;
procedure fluke73frontpanel;

procedure demestresppal;
procedure demestres;
procedure demestresfrontpanel;

procedure phyweppal;
procedure phywe;
procedure phywefrontpanel;

procedure hc6000ppal;
procedure hc6000;
procedure hc6000frontpanel;

var
   cur:HCursor; instanc:THandle;
   sonido,panelabierto,cuestionesabiertas:boolean;
   temaabierto:set of 1..10;
   notaabierta:set of 1..5;


implementation
uses unit1,
     unit2,uprompan,uprompm,{Fuente alimentacion}
     ufg110,ufgpan,ufg_t1,ufg_t2,ufg_t3,ufg_t4,ufg_t5,ufg_cues,{Generador funciones}
     uf45,uf45pan,uf45_cue,{Multímetro dual}
     uf73,uf73pan,{Multímetro fluke 73}
     u2001,u2001pan,{Multímetro Demestres 2001}
     uphy,uphypan,{Multímetro PHYWE}
     uhc,uhcpan;{Multímetro HC-6000}

procedure promax;
begin
     application.createform(TForm2,Form2);
     Form2.show;
     Form1.release;
end;
procedure promaxppal;
begin
application.createform(TForm1,Form1);
Form1.show;
Form2.release;
end;
procedure promaxfrontpanel;
begin
application.createform(TFormPromaxPanel,FormPromaxPanel);
FormPromaxPanel.show;
end;


procedure fg110ppal;
begin
application.createform(TForm1,Form1);
Form1.show;
Formfg110.release;
end;

procedure fg110;
begin
     application.createform(TFormfg110,Formfg110);
     Formfg110.show;
     Form1.release;
end;

procedure fg110frontpanel;
begin
application.createform(TFormFg110Panel,FormFg110Panel);
FormFg110Panel.show;
end;

procedure fg110tema1;
begin
application.createform(TFfg_t1,Ffg_t1);
Ffg_t1.show;
end;

procedure fg110tema2;
begin
application.createform(TFfg_t2,Ffg_t2);
Ffg_t2.show;
end;

procedure fg110tema3;
begin
application.createform(TFfg_t3,Ffg_t3);
Ffg_t3.show;
end;

procedure fg110tema4;
begin
application.createform(TFfg_t4,Ffg_t4);
Ffg_t4.show;
end;

procedure fg110tema5;
begin
application.createform(TFfg_t5,Ffg_t5);
Ffg_t5.show;
end;

procedure fg110cuestiones;
begin
application.createform(TFfg_110_cuestiones,Ffg_110_cuestiones);
Ffg_110_cuestiones.show;
end;

procedure fluke45ppal;
begin
application.createform(TForm1,Form1);
Form1.show;
FormFluke45.release;
end;

procedure fluke45;
begin
application.createform(TFormFluke45,FormFluke45);
FormFluke45.show;
Form1.release;
end;

procedure fluke45frontpanel;
begin
application.createform(TFormFluke45Panel,FormFluke45Panel);
FormFluke45Panel.show;
end;

procedure fluke45cuestiones;
begin
application.createform(TFf45_cuestiones1,Ff45_cuestiones1);
Ff45_cuestiones1.show;
end;

procedure fluke73ppal;
begin
application.createform(TForm1,Form1);
Form1.show;
FormFluke73.release;
end;

procedure fluke73;
begin
application.createform(TFormFluke73,FormFluke73);
FormFluke73.show;
Form1.release;
end;

procedure fluke73frontpanel;
begin
application.createform(TFormFluke73Panel,FormFluke73Panel);
FormFluke73Panel.show;
end;

procedure demestresppal;
begin
application.createform(TForm1,Form1);
Form1.show;
FormDemestres2001.release;
end;

procedure demestres;
begin
application.createform(TFormDemestres2001,FormDemestres2001);
FormDemestres2001.show;
Form1.release;
end;

procedure demestresfrontpanel;
begin
application.createform(TFormDemestres2001Panel,FormDemestres2001Panel);
FormDemestres2001Panel.show;
end;

procedure phyweppal;
begin
application.createform(TForm1,Form1);
Form1.show;
FormPHYWE.release;
end;

procedure phywe;
begin
application.createform(TFormPHYWE,FormPHYWE);
FormPHYWE.show;
Form1.release;
end;

procedure phywefrontpanel;
begin
application.createform(TFormPHYWEPanel,FormPHYWEPanel);
FormPHYWEPanel.show;
end;

procedure hc6000ppal;
begin
application.createform(TForm1,Form1);
Form1.show;
Formhc6000.release;
end;

procedure hc6000;
begin
application.createform(TFormhc6000,Formhc6000);
Formhc6000.show;
Form1.release;
end;

procedure hc6000frontpanel;
begin
application.createform(TFormHC6000Panel,FormHC6000Panel);
FormHC6000Panel.show;
end;

end.
